{%- macro baseurl(object) -%}
{{ urlbase }}/{{ object }}
{%- endmacro %}
{%- set action_timeout = action_timeout|default(30) %}
{%- set boot_timeout = boot_timeout|default(20) %}
{%- set build_type = build_type|default("default") %}
{%- set connection_timeout = connection_timeout|default(15) %}
{%- set deploy_timeout = deploy_timeout|default(90) %}
{%- set device_type = device_type|default(yocto_machine+"-uboot") %}
{%- set image_type = image_type|default("AGL") %}
{%- set job_timeout = job_timeout|default(150) %}
{%- set kernel_defconfig = kernel_defconfig|default("defconfig+CONFIG_AGL=y") %}
{%- set kernel_defconfig_base = kernel_defconfig_base|default("defconfig") %}
{%- set kernel_image = kernel_image|default('uImage') %}
{%- set kernel_tree = kernel_tree|default("AGL-yocto") %}
{%- set kernel_url = kernel_url|default(baseurl(kernel_image)) %}
{%- set kernel_version = kernel_version|default("AGL-kernel-version") %}
{%- set rootfs_type = rootfs_type|default("ramdisk") %}
{%- set vcs_branch = vcs_branch|default("agl-branch") %}
{%- set vcs_url = vcs_url|default(baseurl()) %}
{%- set vcs_commit = vcs_commit|default("agl-commit") %}
{%- set test_plan = test_plan|default("agl-testplan") %}

{# Kernel type definition #}
{%- if kernel_image|first|lower == "i" %}
    {%- set kernel_type = "image" %}
{%- elif kernel_image|first|lower == "z" %}
    {%- set kernel_type = "zimage" %}
{%- else %}
    {%- set kernel_type = "uimage" %}
{%- endif %}

{# Image names definitions #}
{%- if rootfs_type == 'nbd' %}
    {%- set initrd = initrd|default("initramfs-netboot-image-" + yocto_machine +".ext4.gz") %}
    {%- set boot_commands = "nbd" %}
    {%- set deploy_to = "nbd" %}
    {%- set rootfs = rfs_image|default("core-image-minimal-" + yocto_machine + ".ext4.xz") %}
    {%- set rootfs_compression = (rootfs|get_extension) %}
    {%- set rootfs_url = rootfs_url|default(baseurl(rootfs)) %}
{%- elif rootfs_type == 'ramdisk' %}
    {%- set initrd = rfs_image|default("initramfs-boot-image-" + yocto_machine + ".gz") %}
{%- elif rootfs_type == 'rootvd' %}
    {%- set initrd = rfs_image|default("initramfs-boot-image-" + yocto_machine + ".gz") %}
{%- endif %}

{%- set initrd_compression = (initrd|get_extension) %}
{%- set initrd_url = initrd_url|default(baseurl(initrd)) %}

{%- if modules %}
    {%- set modules_compression = (modules|get_extension) %}
    {%- set modules_url = modules_url|default(baseurl(modules)) %}
{%- endif %}

{%- if dtb %}
    {%- set dtb_url = dtb_url|default(baseurl(dtb)) %}
{%- endif %}

{%- block job %}
{%- endblock %}
